summaryrefslogtreecommitdiffstats
path: root/third_party/closure_compiler/run_compiler
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/closure_compiler/run_compiler')
-rwxr-xr-xthird_party/closure_compiler/run_compiler16
1 files changed, 16 insertions, 0 deletions
diff --git a/third_party/closure_compiler/run_compiler b/third_party/closure_compiler/run_compiler
new file mode 100755
index 0000000..884c415
--- /dev/null
+++ b/third_party/closure_compiler/run_compiler
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Copyright 2016 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+cd $(dirname "$0")/../..
+
+export GYP_GENERATORS="ninja"
+
+tools/gyp/gyp --no-circular-check \
+third_party/closure_compiler/compiled_resources.gyp \
+third_party/closure_compiler/compiled_resources2.gyp
+
+ninja -C out/Default -j4 $@